﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLEANCHK]') AND name = N'Key0')
BEGIN 
PRINT 'Creating index Key0 on table DLEANCHK'
CREATE NONCLUSTERED INDEX [Key0] ON [dbo].[DLEANCHK] 
(
	[DATE1] ASC,
	[TILL] ASC,
	[TRAN] ASC,
	[SEQN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLEANCHK]') AND name = N'key2')
BEGIN 
PRINT 'Creating index key2 on table DLEANCHK'
CREATE UNIQUE NONCLUSTERED INDEX [key2] ON [dbo].[DLEANCHK] 
(
	[RTI] ASC,
	[TKEY] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLEANCHK' AND COLUMN_NAME = 'EAFOUND' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLEANCHK_EAFOUND')
BEGIN 
    PRINT 'Creating default constraint DF_DLEANCHK_EAFOUND on table DLEANCHK' 
    ALTER TABLE [dbo].[DLEANCHK]
    ADD CONSTRAINT [DF_DLEANCHK_EAFOUND] DEFAULT ((0)) FOR [EAFOUND]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLEANCHK' AND COLUMN_NAME = 'EASKUFOUND' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLEANCHK_EASKUFOUND')
BEGIN 
    PRINT 'Creating default constraint DF_DLEANCHK_EASKUFOUND on table DLEANCHK' 
    ALTER TABLE [dbo].[DLEANCHK]
    ADD CONSTRAINT [DF_DLEANCHK_EASKUFOUND] DEFAULT ((0)) FOR [EASKUFOUND]
END 
GO

